/////////////////////////////////////////////////////////////////////
// OBELISK.S
/////////////////////////////////////////////////////////////////////

SETUP

	IF !gt_CLEAR_MINES && mj_FREED_FARMERS
		Add gt_CLEAR_MINES
	ENDIF

	IF gt_KILL_THE_DAMN_DOVE
		RemoveDove DOVE
		Remove gd_DOVE_CONTROL
	ELSE
		IF f_DOVE
			IF f_REMOVED_DOVE && !gd_DOVE_CONTROL
    			// *** SEND THE DOVE TO THE CAVE ***
				PlaceDove DOVE pDOVE_HEX_SITE_ENTRANCE
				CircleDove  DOVE    pDOVE_HEX_SITE_ENTRANCE    256
				Add gd_DOVE_CONTROL
			ENDIF
		ELSE
			IF gd_DOVE_CONTROL
				RemoveDove DOVE
				Remove gd_DOVE_CONTROL
			ENDIF
		ENDIF
    ENDIF

END

VIG TempSetup FALSE

    DisableTeleport HS_HEXSTONE

	Set	gd_WEATHER_TYPE	0
	Set gd_WIND_TYPE	5
    RunS CueWeather

	CachePortrait SILHOETT.BIN
	CachePortrait PC1.BIN

END

/////////////////////////////////////////////////////////////////////

VIG DoveStartLogic ONESEC && f_DOVE && (gd_DOVE_CONTROL=0 || gd_DOVE_CONTROL=1 || gd_DOVE_CONTROL=2)
    IF  gd_DOVE_CONTROL=1
	    MoveDove DOVE pDOVE_CAVE
    ENDIF
	AddTo gd_DOVE_CONTROL 1
END

/////////////////////////////////////////////////////////////////////

VIG DoveFlightLogic ONESEC && f_DOVE && !FLYING-DOVE && gd_DOVE_CONTROL=3
	RemoveDove DOVE
	PlaceDove DOVE pDOVE_INCAVE
	MoveDove DOVE pDOVE_LAND
	AddTo gd_DOVE_CONTROL 1
END

/////////////////////////////////////////////////////////////////////

VIG DoveLandLogic ONESEC && f_DOVE && gd_DOVE_CONTROL=4 && !FLYING-DOVE
	// *** DOVE ARRIVED AT STATUE - QUEST OVER ***
	Remove f_DOVE
	Add gt_KILL_THE_DAMN_DOVE
END

/////////////////////////////////////////////////////////////////////

VIG ApproachObelisk HALFSEC && !mj_BEEN_TO_HEX && !gd_APPROACHED_OBELISK && INAREA-P-obelisk_zone
	Add gd_APPROACHED_OBELISK

	Widescreen TRUE

	// *** Obelisk approaching vignette ***
   camcut pos01
 StopC   P

	FX_Obelisk pEFFECT

	Say HB0002
    Capture P cM_V6_LOOK_AROUND2_BETTER
	Say HB0003

    UUComplete  P
    Capture P   cM_TALK_QUESTION2
	Say Hx0165
    

	Say HB0004
	Say HB0005

	// *** End of obelisk approaching vignette ***

	Widescreen FALSE
	AwardEP xp_OBELISK
camcut p
END

/////////////////////////////////////////////////////////////////////
